# osgGA::GUIEventHandlerVisitor Class Reference

Base class for visiting GUIEventHandlers. More...

Inheritance diagram for osgGA::GUIEventHandlerVisitor:

[legend]
List of all members.

## Public Member Functions

virtual void | visit (GUIEventHandler &)
virtual void | visit (CompositeGUIEventHandler &)
virtual void | visit (MatrixManipulator &)
virtual void | visit (StateSetManipulator &)
const GUIEventAdapter * | getGUIEventAdapter ()
| Get the GUI EventAdapter associated with this GUIEventHandlerVisitor.
GUIActionAdapter * | getGUIActionAdapter ()
| Get the GUI Action Adapter associated with this GEH Visitor.

## Protected Member Functions

| GUIEventHandlerVisitor (GUIEventAdapter *in, GUIActionAdapter *out)
virtual | ~GUIEventHandlerVisitor ()

## Detailed Description

Base class for visiting GUIEventHandlers.

A Default Visitor, (Might want to make it an Extrinsic Visitor at some point). By default, it does nothing to the things it visits. Sub classes of this Visitor need only override visit operations for the types of object they're interested in.

## Constructor & Destructor Documentation

osgGA::GUIEventHandlerVisitor::GUIEventHandlerVisitor | ( | GUIEventAdapter * | in,
|  | GUIActionAdapter * | out
| ) | `[inline, protected]`

virtual osgGA::GUIEventHandlerVisitor::~GUIEventHandlerVisitor | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

GUIActionAdapter* osgGA::GUIEventHandlerVisitor::getGUIActionAdapter | ( |  | ) | `[inline]`

| Get the GUI Action Adapter associated with this GEH Visitor.

const GUIEventAdapter* osgGA::GUIEventHandlerVisitor::getGUIEventAdapter | ( |  | ) | `[inline]`

| Get the GUI EventAdapter associated with this GUIEventHandlerVisitor.

virtual void osgGA::GUIEventHandlerVisitor::visit | ( | StateSetManipulator & |  | ) | `[inline, virtual]`

virtual void osgGA::GUIEventHandlerVisitor::visit | ( | MatrixManipulator & |  | ) | `[inline, virtual]`

void osgGA::GUIEventHandlerVisitor::visit | ( | CompositeGUIEventHandler & |  | ) | `[virtual]`

virtual void osgGA::GUIEventHandlerVisitor::visit | ( | GUIEventHandler & |  | ) | `[inline, virtual]`

The documentation for this class was generated from the following files:

- GUIEventHandlerVisitor
- GUIEventHandlerVisitor.cpp